Foreman - Bug #37

Failed to process report due to undefined method
10/06/2009 04:45 PM - Carl Caum

Status: Closed

Priority: High

Assignee: Ohad Levy

Category: Puppet Reports

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/hammer-cl

i-foreman-puppet/pull/39

Description

Everytime | get a report using the foreman reports tool on the puppetmaster, it fails to process the report. Specifically, | get this error
for every host report recieved:

failed to process report for lvxentest01.lightningsource.com due to:undefined method “[]' for #<Puppet::Util::Metric:0x2aaaabdbea18>

Attached is the report.

History

#1 - 10/06/2009 04:47 PM - Carl Caum
Additional Info
Foreman Version: latest stable (0.1-1)

Ruby Version: 1.8.5
OS: CentOS 5.3

#2 - 10/06/2009 05:01 PM - Carl Caum

I've narrowed down this issue to lines 55 and 56 in the app/models/report.rb file. However | don't see what the problem is. When these lines are
removed, Foreman starts to successfully process MOST reports sent to it. However, | get different exceptions thrown when they are removed.

#3 - 10/06/2009 07:20 PM - Ohad Levy

Carl Caum wrote:

I've narrowed down this issue to lines 55 and 56 in the app/models/report.rb file. However | don't see what the problem is. When these lines are
removed, Foreman starts to successfully process MOST reports sent to it. However, | get different exceptions thrown when they are removed.

that is strange, I've imported your report and it went just fine.

which version of Puppet are you using?

#4 - 10/06/2009 07:30 PM - Carl Caum

- Status changed from New to Closed

Ugh, somehow that box was still running puppet version 0.24.5. | updated to 0.24.8 and everything's working fine.

#5 - 10/14/2021 09:00 AM - The Foreman Bot
- Pull request https://github.com/theforeman/hammer-cli-foreman-puppet/pull/39 added
